import './DiscussionPage.css'
import DiscussionList from "../components/DiscussionList.tsx";
import {Link} from "react-router-dom";
import {discussionPagePath} from "../utils.ts";

export default function DiscussionPage() {
    return (
        <div className='discussion-page center-content'>
            <section className='discussion-header'>
                <h1>Discussion Forum</h1>
                <div className='discussion-header-buttons'>
                    <div className='sort-dropdown'>
                        <label htmlFor="filter" className='secondary-button'>Sort by:</label>
                        <select className='secondary-button' name="filter" id="filter">
                            <option value="oldest">Date (Oldest to Newest)</option>
                            <option value="newest">Date (Newest to Oldest)</option>
                            <option value="highest">Likes (Highest to Lowest)</option>
                            <option value="lowest">Likes (Lowest to Highest)</option>
                        </select>
                    </div>
                    <Link to={`${discussionPagePath}/create`}>
                        <button className='primary-button'>Create Discussion</button>
                    </Link>

                </div>
            </section>
            <DiscussionList/>
        </div>
    );
}